Accept the Terms of Service - Cognigy Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Accept the Terms of Service

POST /v2.0/users/me/accepttermsofservice

Try it

cURL

curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/users/me/accepttermsofservice \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/users/me/accepttermsofservice"

headers = {"X-API-Key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/users/me/accepttermsofservice', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response Codes

Response Structure

Response

{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}

Authorizations

X-API-Key